Subject: Re: bug#61549: 30.0.50; [PATCH] New keyboard macro counter functions

From: Michael Heerdegen <[email-masked]>
Date: Wed, 05 Jun 2024 15:52:27 +0200

Alex Bochannek <[email-masked]> writes:

> The problem I was trying to solve was how to use keyboard macros to
> auto-create lists of numbers.

I see.

Does this cover the most frequent non-trivial use cases well?  AFAUI,
you allow to change the automatic increment in each macro step, but only
once - other cases would get complicated or are not possible.

Have you thought about the idea to provide some more explicit way to
control the automatic increment of a kmacro counter, like a mathematical
formula (a function of one argument, the old counter value, that would
calculate the next counter value)?  Given your experience with keyboard
macros usage, would that be a useful thing?

Thanks so far,

Michael.